<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>R-Index</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><a href="../queries/Range.html" title="class in queries"><span class="typeNameLink">Range</span></a> - Class in <a href="../queries/package-summary.html">queries</a></dt>
<dd>
<div class="block">Represents the ES range query</div>
</dd>
<dt><span class="memberNameLink"><a href="../queries/Range.html#Range--">Range()</a></span> - Constructor for class queries.<a href="../queries/Range.html" title="class in queries">Range</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../queries/Range.html#Range-java.lang.String-java.lang.String-java.lang.String-boolean-boolean-java.lang.String-java.lang.String-float-">Range(String, String, String, boolean, boolean, String, String, float)</a></span> - Constructor for class queries.<a href="../queries/Range.html" title="class in queries">Range</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../aggregations/bucketaggs/RangeAggregation.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">RangeAggregation</span></a> - Class in <a href="../aggregations/bucketaggs/package-summary.html">aggregations.bucketaggs</a></dt>
<dd>
<div class="block">Represents the ES range aggregation</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/RangeAggregation.html#RangeAggregation--">RangeAggregation()</a></span> - Constructor for class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/RangeAggregation.html" title="class in aggregations.bucketaggs">RangeAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/RangeAggregation.html#RangeAggregation-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.util.List-boolean-java.util.List-">RangeAggregation(String, String, String, String, List&lt;AggregationType&gt;, boolean, List&lt;RangeElement&gt;)</a></span> - Constructor for class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/RangeAggregation.html" title="class in aggregations.bucketaggs">RangeAggregation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../aggregations/bucketaggs/RangeElement.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">RangeElement</span></a> - Class in <a href="../aggregations/bucketaggs/package-summary.html">aggregations.bucketaggs</a></dt>
<dd>
<div class="block">Represents a ranges element for a range aggregation</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/RangeElement.html#RangeElement--">RangeElement()</a></span> - Constructor for class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/RangeElement.html" title="class in aggregations.bucketaggs">RangeElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/RangeElement.html#RangeElement-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">RangeElement(String, String, String, String)</a></span> - Constructor for class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/RangeElement.html" title="class in aggregations.bucketaggs">RangeElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../deserialization/AggregationDeserializer.html#registerAggregation-java.lang.String-java.lang.reflect.Type-java.util.List-">registerAggregation(String, Type, List&lt;String&gt;)</a></span> - Method in class deserialization.<a href="../deserialization/AggregationDeserializer.html" title="class in deserialization">AggregationDeserializer</a></dt>
<dd>
<div class="block">Register a new type of aggregation for this deserializer and associate the accepted keywords.</div>
</dd>
<dt><span class="memberNameLink"><a href="../deserialization/QueryTypeDeserializer.html#registerQuery-java.lang.String-java.lang.reflect.Type-java.util.List-">registerQuery(String, Type, List&lt;String&gt;)</a></span> - Method in class deserialization.<a href="../deserialization/QueryTypeDeserializer.html" title="class in deserialization">QueryTypeDeserializer</a></dt>
<dd>
<div class="block">Registers a new type of query with the given name and allowed keywords.</div>
</dd>
<dt><span class="memberNameLink"><a href="../deserialization/TemplateDeserializer.html#registerTemplate-java.lang.String-java.lang.reflect.Type-java.util.List-">registerTemplate(String, Type, List&lt;String&gt;)</a></span> - Method in class deserialization.<a href="../deserialization/TemplateDeserializer.html" title="class in deserialization">TemplateDeserializer</a></dt>
<dd>
<div class="block">Allows to register a new template with the given type and allowed keywords.</div>
</dd>
<dt><a href="../docrequests/Request.html" title="interface in docrequests"><span class="typeNameLink">Request</span></a> - Interface in <a href="../docrequests/package-summary.html">docrequests</a></dt>
<dd>
<div class="block">Represents a generic document request, it provides methods to build and execute such request.</div>
</dd>
<dt><span class="memberNameLink"><a href="../examples/newaggregation/NewAggregationMain.html#request">request</a></span> - Static variable in class examples.newaggregation.<a href="../examples/newaggregation/NewAggregationMain.html" title="class in examples.newaggregation">NewAggregationMain</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../examples/newquery/NewQueryMain.html#request">request</a></span> - Static variable in class examples.newquery.<a href="../examples/newquery/NewQueryMain.html" title="class in examples.newquery">NewQueryMain</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../examples/newtemplate/NewTemplateMain.html#request">request</a></span> - Static variable in class examples.newtemplate.<a href="../examples/newtemplate/NewTemplateMain.html" title="class in examples.newtemplate">NewTemplateMain</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../deserialization/RequestDeserializer.html" title="class in deserialization"><span class="typeNameLink">RequestDeserializer</span></a> - Class in <a href="../deserialization/package-summary.html">deserialization</a></dt>
<dd>
<div class="block">Request custom deserializer, it stores the association between the request names and their type.</div>
</dd>
<dt><span class="memberNameLink"><a href="../deserialization/RequestDeserializer.html#RequestDeserializer--">RequestDeserializer()</a></span> - Constructor for class deserialization.<a href="../deserialization/RequestDeserializer.html" title="class in deserialization">RequestDeserializer</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
